%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Name:		easymp3gain
Version:	0.5.0
Release:	%mkrel 16
License:	GPLv2
Summary:	Graphical user interface for MP3Gain, AACGain and VorbisGain (GTK2)
Group:		Sound/Utilities
URL:		https://easymp3gain.sourceforge.net/
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Patch1:		easymp3gain-0.5.0-desktop.patch
Patch3:		fix_missing_LazarusDir.diff
Patch4:		fix_missing_overload_on_AddTask.diff
BuildRequires:	fpc
BuildRequires:	lazarus
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
Requires:	mp3gain
Requires:	vorbisgain

%description
easyMP3Gain is a graphical user interface for MP3Gain, AACGain and VorbisGain.

%prep
%setup -q

%ifarch %{ix86}
sed -i s/x86_64/i386/ easymp3gain.lpi
%endif
%ifarch %{arm}
sed -i s/x86_64/arm/ easymp3gain.lpi
%endif
%ifarch aarch64
sed -i s/x86_64/aarch64/ easymp3gain.lpi
%endif

%patch -P 1 -p0
%patch -P 3 -p1
%patch -P 4 -p1

%build
%__make all

%install
./install.sh DESTDIR=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.5.0-16.mga10
+ Revision: 2231752
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 0.5.0-15.mga10
+ Revision: 2127235
- Rebuild for patchN deprecation

* Mon Mar 28 2022 umeabot <umeabot> 0.5.0-14.mga9
+ Revision: 1830928
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.5.0-13.mga8
+ Revision: 1512000
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-12.mga7
+ Revision: 1297544
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 wally <wally> 0.5.0-11.mga7
+ Revision: 1250729
- fix build on aarch64

* Mon Jul 04 2016 pterjan <pterjan> 0.5.0-10.mga6
+ Revision: 1038639
- Support building on arm

* Mon Feb 08 2016 umeabot <umeabot> 0.5.0-9.mga6
+ Revision: 944224
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-8.mga5
+ Revision: 746016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-7.mga5
+ Revision: 678909
- Mageia 5 Mass Rebuild

* Fri Mar 21 2014 wally <wally> 0.5.0-6.mga5
+ Revision: 606402
- rebuild for mga5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 0.5.0-5.mga4
+ Revision: 481148
- patch 2 is not needed
- add archlinux patch to make it build with latest gfortran

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-4.mga3
+ Revision: 349279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 dams <dams> 0.5.0-3.mga3
+ Revision: 322394
- update %%group for new policy

* Wed Jul 18 2012 dams <dams> 0.5.0-2.mga3
+ Revision: 272302
- fix .desktop file (missing semicolon)
- clean specfile
- import as requested in mga#2483
- imported package easymp3gain


* Wed Feb 22 2012 Andrey Bondrov <abondrov@mandriva.org> 0.5.0-2
+ Revision: 779252
- Disable debug package
- Update file list
- imported package easymp3gain


* Fri Dec 31 2010 Andrey Bondrov <bondrov@math.dvgu.ru> 0.5.0-69.1mib2010.2
- New version

* Sun May 31 2009 Andrey Bondrov <bondrov@math.dvgu.ru> 0.4.2-69.1mib2009.1
- First build for MIB users